/lending/v1/transactions/installment-plans/anticipation/simulation

Simular el pago anticipado de un plan de cuotas

Devuelve una simulación de solo lectura de un pago anticipado para un plan de cuotas. La operación no persiste cambios.

Actualmente solo soporta owner.type: CREDIT_LINE.

Parámetros disponibles

Cuerpo de solicitud
application/json
transaction_idstring
ownerobject2 propiedades
prepayment_typeenum
amountstring

Detalle de respuestas

401
No autorizado
403
Acceso denegado

500
Error interno del servidor
Ejemplo de solicitud
{
  "transaction_id": "ctx-3xy2ZAMWeblTap8SJOrLHhddFfM",
  "owner": {
    "type": "CREDIT_LINE",
    "id": "lcr-3wS9TF48KFOccV1kcz0BCuIQ6xg"
  },
  "prepayment_type": "INSTALLMENT_TERM_REDUCTION",
  "amount": "1500.00"
}
Ejemplo de código
curl -X POST "https://api.pomelo.la/lending/v1/transactions/installment-plans/anticipation/simulation" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "transaction_id": "ctx-3xy2ZAMWeblTap8SJOrLHhddFfM",
  "owner": {
    "type": "CREDIT_LINE",
    "id": "lcr-3wS9TF48KFOccV1kcz0BCuIQ6xg"
  },
  "prepayment_type": "INSTALLMENT_TERM_REDUCTION",
  "amount": "1500.00"
}'
Ejemplo de respuesta (200)Ejemplo de respuesta
{
  "data": {
    "transaction_id": "ctx-3xy2ZAMWeblTap8SJOrLHhddFfM",
    "owner": {
      "type": "CREDIT_LINE",
      "id": "lcr-3wS9TF48KFOccV1kcz0BCuIQ6xg"
    },
    "prepayment_type": "INSTALLMENT_TERM_REDUCTION",
    "country": "PER",
    "currency": "BRL",
    "total_amount_to_pay": "1980.40",
    "amount_applied": "1500.00",
    "surplus_amount": "0.00",
    "interest_saved": "84.30",
    "taxes_saved": "0.00",
    "next_due_date": "2026-08-03",
    "installments": [
      {
        "number": 5,
        "due_date": "2026-08-03",
        "cycle_closing_date": "2026-07-28",
        "accrual_start_date": "2026-07-04",
        "principal": "430.00",
        "interest": "50.10",
        "taxes": "0.00",
        "expenses": "0.00",
        "total": "480.10",
        "accrued_interest": "50.10",
        "financed_amount": "430.00",
        "outstanding_amount": "480.10",
        "financed_interest": "0.00",
        "financed_interest_amortization": "0.00",
        "financed_tax": null,
        "financed_tax_amortization": null,
        "outstanding_financed_tax": null,
        "applied_rate": {
          "name": "APPLIED_ANNUAL_EFFECTIVE",
          "value": "18.99",
          "type": "APPLIED_ANNUAL_EFFECTIVE",
          "unit": "PERCENTAGE"
        }
      }
    ]
  }
}

Pomelo AI

Asistente de inteligencia artificial para consultas sobre la API de Pomelo
¡Hola!¿Cómo puedo ayudarte hoy?